from rio import Column, Component, event, TextStyle, Text

from src.ezgg_lan_manager import ConfigurationService
from src.ezgg_lan_manager.components.MainViewContentBox import MainViewContentBox


class PAGENAME(Component):
    @event.on_populate
    async def on_populate(self) -> None:
        await self.session.set_title(f"{self.session[ConfigurationService].get_lan_info().name} - PAGENAME")

    def build(self) -> Component:
        return Column(
            MainViewContentBox(
                Column(
                    Text(
                        text="HEADER",
                        style=TextStyle(
                            fill=self.session.theme.background_color,
                            font_size=1.2
                        ),
                        margin_top=2,
                        margin_bottom=0,
                        align_x=0.5
                    ),
                    Text(
                        text="BASIC TEXT",
                        style=TextStyle(
                            fill=self.session.theme.background_color,
                            font_size=0.9
                        ),
                        margin=1,
                        overflow="wrap"
                    )
                )
            ),
            align_y=0
        )
